## org.mortbay.http
Class EOFException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--org.mortbay.http.EOFException

All Implemented Interfaces:
  java.io.Serializable

public class EOFException
extends java.io.IOException

Exception for EOF detected.

Version:
  $$
Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`EOFException()`
`EOFException(java.io.IOException ex)`

Method Summary
`java.io.IOException` `getTargetException()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EOFException

    public EOFException()

### EOFException

    public EOFException(java.io.IOException ex)

Method Detail

### getTargetException

    public java.io.IOException getTargetException()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.